; Script generated by the HM NIS Edit Script Wizard.

; HM NIS Edit Wizard helper defines
!define PRODUCT_NAME "Mereo"
!define PRODUCT_VERSION "1.7.7"
!define PRODUCT_PUBLISHER "bughunter2"
!define PRODUCT_WEB_SITE "http://mereo.sourceforge.net/"
!define PRODUCT_DIR_REGKEY "Software\Microsoft\Windows\CurrentVersion\App Paths\mereo.exe"
!define PRODUCT_UNINST_KEY "Software\Microsoft\Windows\CurrentVersion\Uninstall\${PRODUCT_NAME}"
!define PRODUCT_UNINST_ROOT_KEY "HKLM"
!define PRODUCT_STARTMENU_REGVAL "NSIS:StartMenuDir"

; Compressor
SetCompressor /SOLID lzma

; MUI 1.67 compatible ------
!include "MUI.nsh"

; MUI Settings
!define MUI_ABORTWARNING
!define MUI_ICON "${NSISDIR}\Contrib\Graphics\Icons\modern-install.ico"
!define MUI_UNICON "${NSISDIR}\Contrib\Graphics\Icons\modern-uninstall.ico"

; Welcome page
!insertmacro MUI_PAGE_WELCOME
; License page
!insertmacro MUI_PAGE_LICENSE "..\\..\\LICENSE.TXT"
; Components page
!insertmacro MUI_PAGE_COMPONENTS
; Directory page
!insertmacro MUI_PAGE_DIRECTORY
; Start menu page
var ICONS_GROUP
!define MUI_STARTMENUPAGE_NODISABLE
!define MUI_STARTMENUPAGE_DEFAULTFOLDER "Mereo"
!define MUI_STARTMENUPAGE_REGISTRY_ROOT "${PRODUCT_UNINST_ROOT_KEY}"
!define MUI_STARTMENUPAGE_REGISTRY_KEY "${PRODUCT_UNINST_KEY}"
!define MUI_STARTMENUPAGE_REGISTRY_VALUENAME "${PRODUCT_STARTMENU_REGVAL}"
!insertmacro MUI_PAGE_STARTMENU Application $ICONS_GROUP
; Instfiles page
!insertmacro MUI_PAGE_INSTFILES
; Finish page
!define MUI_FINISHPAGE_RUN "$INSTDIR\mereo.exe"
!define MUI_FINISHPAGE_SHOWREADME "$INSTDIR\README.TXT"
!insertmacro MUI_PAGE_FINISH

; Uninstaller pages
!insertmacro MUI_UNPAGE_INSTFILES

; Language files
!insertmacro MUI_LANGUAGE "English"

; MUI end ------

Name "${PRODUCT_NAME} ${PRODUCT_VERSION}"
OutFile "..\\..\\_release\\setup.exe"
InstallDir "$PROGRAMFILES\Mereo"
InstallDirRegKey HKLM "${PRODUCT_DIR_REGKEY}" ""
ShowInstDetails show
ShowUnInstDetails show

Section "Core" SEC01
SectionIn RO

  SetShellVarContext all
  SetOutPath "$INSTDIR\batch"
  SetOverwrite try
  File "..\\..\\src\batch\example.bat"
  File "..\\..\\src\batch\example_hidden.bat"
  SetOutPath "$INSTDIR\files"
  File "..\\..\\src\files\css_patch.reg"
  SetOutPath "$INSTDIR\helpfiles"
  File "..\\..\\web\docs\help\helpfiles\logo.png"
  File "..\\..\\web\docs\help\helpfiles\step6_2.png"
  File "..\\..\\web\docs\help\helpfiles\step6_3.png"
  SetOutPath "$INSTDIR"
  File "..\\..\\ChangeLog.txt"
  File "..\\..\\LICENSE.TXT"
  File "..\\..\\README.TXT"
  File "..\\..\\web\docs\help\help.html"
  File "..\\..\\_bin\mereo.exe"

; Shortcuts
  !insertmacro MUI_STARTMENU_WRITE_BEGIN Application
  CreateDirectory "$SMPROGRAMS\$ICONS_GROUP"
  CreateShortCut "$SMPROGRAMS\$ICONS_GROUP\Mereo.lnk" "$INSTDIR\mereo.exe"
  CreateShortCut "$SMPROGRAMS\$ICONS_GROUP\ChangeLog.lnk" "$INSTDIR\ChangeLog.txt"
  CreateShortCut "$DESKTOP\Mereo.lnk" "$INSTDIR\mereo.exe"
  WriteINIStr "$INSTDIR\User Guide.url" "InternetShortcut" "URL" "$INSTDIR\help.html"
  CreateShortCut "$SMPROGRAMS\$ICONS_GROUP\User Guide.lnk" "$INSTDIR\User Guide.url"
  !insertmacro MUI_STARTMENU_WRITE_END
SectionEnd

Section /o "Source" SEC02
  SetShellVarContext all
  SetOutPath "$INSTDIR\source_code\batch"
  File "..\\..\\src\batch\example.bat"
  File "..\\..\\src\batch\example_hidden.bat"
  SetOutPath "$INSTDIR\source_code\files"
  File "..\\..\\src\files\css_patch.reg"
  SetOutPath "$INSTDIR\source_code\rsrc"
  File "..\\..\\src\rsrc\icon.ico"
  File "..\\..\\src\rsrc\icon_big.ico"
  File "..\\..\\src\rsrc\manifest.xml"
  File "..\\..\\src\rsrc\icon_small_stopped.ico"
  File "..\\..\\src\rsrc\icon_small_running.ico"
  SetOutPath "$INSTDIR\source_code\rsrc\mereo_icons"
  File "..\\..\\src\rsrc\mereo_icons\dir.png"
  File "..\\..\\src\rsrc\mereo_icons\file.png"
  SetOutPath "$INSTDIR\source_code"
  File "..\\..\\src\mereo.asm"
  File "..\\..\\src\string.asm"
  File "..\\..\\src\cfg.asm"
  File "..\\..\\src\loadresource.asm"
  File "..\\..\\src\tempfile.asm"
  File "..\\..\\src\net.asm"
  File "..\\..\\src\preferences.asm"
  File "..\\..\\src\shell.asm"
  File "..\\..\\src\connectionhandler.asm"
  File "..\\..\\src\wndproc.asm"
  File "..\\..\\src\file.asm"
  File "..\\..\\src\cmdline.asm"
  File "..\\..\\src\favorites.asm"
  File "..\\..\\src\error.asm"
  File "..\\..\\src\log.asm"
  File "..\\..\\src\autostart.asm"
  File "..\\..\\src\utf8.asm"
  File "..\\..\\src\updater.asm"
  File "..\\..\\src\macros.asm"
  File "..\\..\\src\autostart.inc"
  File "..\\..\\src\cfg.inc"
  File "..\\..\\src\cmdline.inc"
  File "..\\..\\src\connectionhandler.inc"
  File "..\\..\\src\error.inc"
  File "..\\..\\src\favorites.inc"
  File "..\\..\\src\file.inc"
  File "..\\..\\src\loadresource.inc"
  File "..\\..\\src\log.inc"
  File "..\\..\\src\net.inc"
  File "..\\..\\src\preferences.inc"
  File "..\\..\\src\shell.inc"
  File "..\\..\\src\string.inc"
  File "..\\..\\src\tempfile.inc"
  File "..\\..\\src\updater.inc"
  File "..\\..\\src\utf8.inc"
  File "..\\..\\src\wndproc.inc"
  File "..\\..\\src\data.inc"
  File "..\\..\\src\const.inc"
  File "..\\..\\src\rsrc.rc"

; Shortcuts
  !insertmacro MUI_STARTMENU_WRITE_BEGIN Application
  CreateShortCut "$SMPROGRAMS\$ICONS_GROUP\Source code.lnk" "$INSTDIR\source_code"
  !insertmacro MUI_STARTMENU_WRITE_END
SectionEnd

Section -AdditionalIcons
  SetShellVarContext all
  SetOutPath $INSTDIR
  !insertmacro MUI_STARTMENU_WRITE_BEGIN Application
  WriteINIStr "$INSTDIR\${PRODUCT_NAME}.url" "InternetShortcut" "URL" "${PRODUCT_WEB_SITE}"
  CreateShortCut "$SMPROGRAMS\$ICONS_GROUP\Website.lnk" "$INSTDIR\${PRODUCT_NAME}.url"
  CreateShortCut "$SMPROGRAMS\$ICONS_GROUP\Uninstall.lnk" "$INSTDIR\uninst.exe"
  !insertmacro MUI_STARTMENU_WRITE_END
SectionEnd

Section -Post
  WriteUninstaller "$INSTDIR\uninst.exe"
  WriteRegStr HKLM "${PRODUCT_DIR_REGKEY}" "" "$INSTDIR\mereo.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayName" "$(^Name)"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "UninstallString" "$INSTDIR\uninst.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayIcon" "$INSTDIR\mereo.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayVersion" "${PRODUCT_VERSION}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "URLInfoAbout" "${PRODUCT_WEB_SITE}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "Publisher" "${PRODUCT_PUBLISHER}"
SectionEnd

; Section descriptions
!insertmacro MUI_FUNCTION_DESCRIPTION_BEGIN
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC01} "Core (system files, needed)"
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC02} "Source code (optional)"
!insertmacro MUI_FUNCTION_DESCRIPTION_END


Function un.onUninstSuccess
  HideWindow
  MessageBox MB_ICONINFORMATION|MB_OK "$(^Name) was successfully removed from your computer."
FunctionEnd

Function un.onInit
  MessageBox MB_ICONQUESTION|MB_YESNO|MB_DEFBUTTON2 "Are you sure you want to completely remove $(^Name) and all of its components (any configuration files will be DELETED too)?" IDYES +2
  Abort
FunctionEnd

Section Uninstall
    SetShellVarContext all
    !insertmacro MUI_STARTMENU_GETFOLDER "Application" $ICONS_GROUP
    Delete "$INSTDIR\${PRODUCT_NAME}.url"
    Delete "$INSTDIR\User Guide.url"
    Delete "$INSTDIR\uninst.exe"
    Delete "$INSTDIR\source_code\ChangeLog.txt"
    Delete "$INSTDIR\source_code\README.TXT"
    Delete "$INSTDIR\source_code\LICENSE.TXT"
    Delete "$INSTDIR\source_code\rsrc.rc"
    Delete "$INSTDIR\source_code\const.inc"
    Delete "$INSTDIR\source_code\data.inc"
    Delete "$INSTDIR\source_code\wndproc.inc"
    Delete "$INSTDIR\source_code\utf8.inc"
    Delete "$INSTDIR\source_code\updater.inc"
    Delete "$INSTDIR\source_code\tempfile.inc"
    Delete "$INSTDIR\source_code\string.inc"
    Delete "$INSTDIR\source_code\shell.inc"
    Delete "$INSTDIR\source_code\preferences.inc"
    Delete "$INSTDIR\source_code\net.inc"
    Delete "$INSTDIR\source_code\log.inc"
    Delete "$INSTDIR\source_code\loadresource.inc"
    Delete "$INSTDIR\source_code\file.inc"
    Delete "$INSTDIR\source_code\favorites.inc"
    Delete "$INSTDIR\source_code\error.inc"
    Delete "$INSTDIR\source_code\connectionhandler.inc"
    Delete "$INSTDIR\source_code\cmdline.inc"
    Delete "$INSTDIR\source_code\cfg.inc"
    Delete "$INSTDIR\source_code\autostart.inc"
    Delete "$INSTDIR\source_code\macros.asm"
    Delete "$INSTDIR\source_code\updater.asm"
    Delete "$INSTDIR\source_code\utf8.asm"
    Delete "$INSTDIR\source_code\autostart.asm"
    Delete "$INSTDIR\source_code\log.asm"
    Delete "$INSTDIR\source_code\error.asm"
    Delete "$INSTDIR\source_code\favorites.asm"
    Delete "$INSTDIR\source_code\cmdline.asm"
    Delete "$INSTDIR\source_code\file.asm"
    Delete "$INSTDIR\source_code\wndproc.asm"
    Delete "$INSTDIR\source_code\connectionhandler.asm"
    Delete "$INSTDIR\source_code\shell.asm"
    Delete "$INSTDIR\source_code\preferences.asm"
    Delete "$INSTDIR\source_code\net.asm"
    Delete "$INSTDIR\source_code\tempfile.asm"
    Delete "$INSTDIR\source_code\loadresource.asm"
    Delete "$INSTDIR\source_code\cfg.asm"
    Delete "$INSTDIR\source_code\string.asm"
    Delete "$INSTDIR\source_code\mereo.asm"
    Delete "$INSTDIR\source_code\rsrc\mereo_icons\file.png"
    Delete "$INSTDIR\source_code\rsrc\mereo_icons\dir.png"
    Delete "$INSTDIR\source_code\rsrc\icon_small_running.ico"
    Delete "$INSTDIR\source_code\rsrc\icon_small_stopped.ico"
    Delete "$INSTDIR\source_code\rsrc\manifest.xml"
    Delete "$INSTDIR\source_code\rsrc\icon_big.ico"
    Delete "$INSTDIR\source_code\rsrc\icon.ico"
    Delete "$INSTDIR\source_code\installer\nsis_setup.nsi"
    Delete "$INSTDIR\source_code\gimp\icon-80x80.xcf"
    Delete "$INSTDIR\source_code\gimp\icon.xcf"
    Delete "$INSTDIR\source_code\files\css_patch.reg"
    Delete "$INSTDIR\source_code\batch\example_hidden.bat"
    Delete "$INSTDIR\source_code\batch\example.bat"
    Delete "$INSTDIR\README.TXT"
    Delete "$INSTDIR\mereo.cfg"
    Delete "$INSTDIR\mereo.exe"
    Delete "$INSTDIR\help.html"
    Delete "$INSTDIR\LICENSE.TXT"
    Delete "$INSTDIR\ChangeLog.txt"
    Delete "$INSTDIR\helpfiles\step6_1.png"
    Delete "$INSTDIR\helpfiles\step6_3.png"
    Delete "$INSTDIR\helpfiles\step6_2.png"
    Delete "$INSTDIR\helpfiles\step5_2.png"
    Delete "$INSTDIR\helpfiles\step5_1.png"
    Delete "$INSTDIR\helpfiles\step3_5.png"
    Delete "$INSTDIR\helpfiles\step3_3.png"
    Delete "$INSTDIR\helpfiles\step3_2.png"
    Delete "$INSTDIR\helpfiles\step3_4.png"
    Delete "$INSTDIR\helpfiles\logo.png"
    Delete "$INSTDIR\files\css_patch.reg"
    Delete "$INSTDIR\batch\example_hidden.bat"
    Delete "$INSTDIR\batch\example.bat"

    Delete "$SMPROGRAMS\$ICONS_GROUP\Uninstall.lnk"
    Delete "$SMPROGRAMS\$ICONS_GROUP\Website.lnk"
    Delete "$SMPROGRAMS\$ICONS_GROUP\Source code.lnk"
    Delete "$DESKTOP\Mereo.lnk"
    Delete "$SMPROGRAMS\$ICONS_GROUP\ChangeLog.lnk"
    Delete "$SMPROGRAMS\$ICONS_GROUP\Mereo.lnk"
    Delete "$SMPROGRAMS\$ICONS_GROUP\User Guide.lnk"

    RMDir "$SMPROGRAMS\$ICONS_GROUP"
    RMDir "$INSTDIR\source_code\rsrc\mereo_icons"
    RMDir "$INSTDIR\source_code\rsrc"
    RMDir "$INSTDIR\source_code\files"
    RMDir "$INSTDIR\source_code\batch"
    RMDir "$INSTDIR\source_code"
    RMDir "$INSTDIR\helpfiles"
    RMDir "$INSTDIR\files"
    RMDir "$INSTDIR\batch"
    RMDir "$INSTDIR"

    DeleteRegKey ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}"
    DeleteRegKey HKLM "${PRODUCT_DIR_REGKEY}"
    SetAutoClose true
SectionEnd
